# config properties
#
properties:

    # whether to broadcast out the buy message or not
    # look for 'lottery.mess.buy' in 'lang.properties' to edit the message
    buy-enable: true 

    # delay between lottery savings, x minutes: can also use '/lottery save' to force save lotteries
    save-delay: 15
    
    # enable lottery savings
    save-enable: true 

    # delay between update checks, x minutes: can also use '/lottery update' to check on updates
    update-delay: 60
    
    # enable the update checks
    update-enable: false
    
    # the delay that takes place between a lottery drawing and when it announces the winner, x seconds
    draw-delay: 3
    
    # the delay that people have to wait after buying a ticket from a lottery
    # NOTE: this is the delay between a lottery NOT all lotteries
    buy-delay: 30

    # delay between reminder messages, look for 'lottery.mess.reminder' in 'lang.properties' to edit the message
    reminder-message-delay: 10
    
    # enable the reminder message
    reminder-message-enable: true

    # whether item rewards should drop on the ground near players or
    # should it go in their inventory, applies to economies
    should-drop: true
    
    # whether rewards should be allowed drop if there is no room for them
    # if false and there is no room for them it will create a lottery claim for the player
    drop-reward: false
    
    # whether to log lottery savings or not
    should-log: false
    
    # whether players should be allowed to buy tickets during the lottery drawing
    buy-during-draw: false

    # the line separator used in the 'lang.properties'
    line-separator: '<newline>'

    # the format used for money, must contain '<money>' in format
    money-format: '$<money>'
    
    # sign tag used for lottery signs, can have color codes
    sign-tag: '&a[Lottery+]'
    
    # prefix used in chat, can have color codes
    chat-prefix: '&e[LotteryPlus] - '
    
    # the lottery that will be used when a user doesn't specify one in the buy command
    main-lottery: 'MAIN'

    # the lotteries that the user will be notified about when a player joins the server
    # ex: 'MAIN1 MAIN2 MAIN3', ect...
    # look for 'lottery.mess.main' in the 'lang.properties' to edit the message
    main-lotteries: ''
    
    # the default filter used in '/lottery list <page>'
    default-filter: ''
    

# various sign formats used in different states of a lottery
#
# <name> - name of the lottery
# <ticketcost> - cost of a ticket for the lottery
# <reward> - reward of the lottery
# <time> - time until drawing
# <winner> - most recent winner of the lottery
# <ticket_tax> - ticket tax of the lottery
# <pot_tax> - pot tax of the lottery
sign-formats:

    # this format is used when the lottery is running and is doing a time update
    Update:
        line-2: '<name>'
        line-3: '<time>'
        line-4: '<reward>'
    # this format is used when the lottery is drawing
    Drawing:
        line-2: '<name>'
        line-3: 'Drawing...'
        line-4: '<reward> '   
    # this format is used when "repeat" has been set to false and a winner has been drawn
    Over:
        line-2: '<name>'
        line-3: 'Over'
        line-4: '<winner>'


# lottery defaults, these can be defined in any lottery,
# though you can alter these settings to where they affect
# each lottery globally
defaults:

    # time between drawings, x hours
    time: 48

    # max tickets a player can buy, set to negative for 0 limit
    max-tickets: -1

    # min players needed in order to draw the lottery
    min-players: 2

    # max players that is allows in the lottery, set to negative for 0 limit
    max-players: 10

    # time taken from the lottery when a player buys a ticket, x seconds
    cooldown: 0
    
    # time added to the lottery timer when a player buys a ticket, x seconds
    warmup: 0

    # seed used for the random generator
    seed: 'LotteryPlus'
    
    # this account will receive all taxes from 'pot-tax' and "ticket-tax"
    tax-account: ''
    
    # whether to use timers on lotteries or not
    use-timer: true
    
    # whether to keep the tickets if the lottery failed to draw a winner
    keep-tickets: true
    
    # the worlds to which this lottery will belong to, leave blank for global
    # NOTE: This is not for use as a default, must specify under lottery
    worlds: ''
    
    # the towns in Towny to which this lottery will belong to, leave blank for global
    # NOTE: This is not for use as a default, must specify under lottery
    towny: ''
    
    # the aliases for a lottery, can work with 'main-lottery'
    # NOTE: This is not for use as a default, must specify under lottery
    aliases: ''
    
    # number of tickets to reward for voting
    votifier-reward: 0
    
    # whether players should allowed to buy tickets
    buy-tickets: true
    
    # whether a player can win a lottery twice in a row
    win-again: true

    # item rewards that are added to the lottery
    # defined examples: '35:3*64' - stack of light blue wool
    # format -> 'materialID:meta_data*amount'
    # more examples: '351:0 351*1 351:2*1'
    #
    # for enchantments, create your item like described above,
    # add '^', the enchantment, add ':', then the level, like so:
    # '278^DURABILITY:3' -> this creates a diamond pickaxe with a DURABILITY with a level of 3
    #
    item-rewards: ''

    # whether this lottery should repeat after the next drawing
    repeat: true
    
    # whether the pot should be cleared if a winner is not drawn
    clear-pot: false
    
    # whether the rewards should be cleared if a winner is not drawn
    clear-rewards: false
    
    # how many tickets are available for a lottery, set to 0 for infinite tickets
    ticket-limit: 0

    # the starting pot
    pot: 1000.00
    
    # whether to use a pot or not
    use-pot: true

    # cost of lottery tickets
    ticket-cost: 10.00
    
    # whether to use vault
    use-vault: true
    
    # id for material used when 'use-vault' is false
    material-id: 266
    
    # alias for the currency when 'use-vault' is false
    material-name: Gold Ingot

    # ticket tax used
    # ex: 
    # ticket-tax: 10.00
    # ticket-cost: 50.00
    #
    # 10 tickets -> player pays 500.00, but 450.00 of it goes to the pot
    #
    ticket-tax: 0.0

    # ticket tax used
    # ex: 
    # pot-tax: 10.00
    # pot: 1000.00
    #
    # only 900.00 is awarded to the player 
    #
    pot-tax: 0.0
    
    # used to alert players about the current time of the lottery
    # how to:
    # 
    # '24h 12h 6h 3h 1h'
    # this will alert the players at 24, 12, 6, 3, and 1 hours
    # 
    # <amount><symbol>
    # symbols:
    # w: weeks
    # d: days
    # h: hours
    # m: minutes
    # s: seconds
    #
    #look for 'lottery.mess.warning' to 'lang.properties' to edit the message
    warning-times: ''

    # amount added to ticket-cost after failed drawing
    reset-add-ticket-cost: 0.00

    # amount added to pot after failed drawing
    reset-add-pot: 0.00

    # amount added to ticket-tax after failed drawing
    reset-add-ticket-tax: 0.00

    # amount added to pot-tax after failed drawing
    reset-add-pot-tax: 0.00

    # amount added to max-tickets after failed drawing
    reset-add-max-tickets: 0

    # amount added to min-players after failed drawing
    reset-add-min-players: 0

    # amount added to max-players after failed drawing
    reset-add-max-players: 0

    # amount added to cooldown after failed drawing
    reset-add-cooldown: 0
    
    # amount added to warmup after failed drawing
    reset-add-warmup: 0

    # amount added to time after failed drawing
    reset-add-time: 0
    
    # items add after failed drawing
    # defined examples: '35:3*64' - stack of light blue wool
    # format -> 'materialID:meta_data*amount'
    # more examples: '351:0 351*1 351:2*1'
    #
    # for enchantments, create your item like described above,
    # add '^', the enchantment, add ':', then the level, like so:
    # '278^DURABILITY:3' -> this creates a diamond pickaxe with a DURABILITY with a level of 3
    #
    reset-add-item-rewards: ''